---
id: 6551f22653e6ce6e4f1d1370
title: Step 11
challengeType: 20
dashedName: step-11
---

# --description--

Modify your `print(shift)` call to print the data type of your `shift` variable.

# --hints--

You should keep your existing `print(type(text))` call.

```js
assert.match(code, /^print\s*\(\s*type\s*\(\s*text\s*\)\s*\)/m)
```

You should pass `shift` to the `type()` function.

```js
assert.match(code, /type\s*\(\s*shift\s*\)/)
```

You should pass `type(shift)` to your `print()` function. Pay attention to place the function call at the beginning of the line.

```js
assert.match(code, /^print\s*\(\s*type\s*\(\s*shift\s*\)\s*\)/m)
```

You should not have `print(shift)` in your code.

```js
const commentless_code = __helpers.python.removeComments(code)
assert.notMatch(commentless_code, /print\s*\(\s*shift\s*\)/)
```

Your code contains invalid syntax and/or invalid indentation.

```js
({test: () => assert(true) })
```

# --seed--

## --seed-contents--

```py
--fcc-editable-region--
text = 'Hello World'
print(type(text))
shift = 3
print(shift)
--fcc-editable-region--
```
